XML response from action=getprincipals can contain reserved characters
Description

Alvin pointed this out in KNB help email.
http://support.nceas.ucsb.edu/rt/Ticket/Display.html?id=10534

I just found a bug in Metacat that may prevent Morpho to refresh the user list when adding or upda
ting access list.

The problem is that the XML generated by action °~/metacat?action=getprincipals’ can be invalid bec
ause the values from LDAP entries may contain XML-reserved characters, which are not sanitized in
the XML output.

History

#1 - 11/03/2015 11:29 AM - ben leinfelder
- Target version changed from 2.5.0 to 2.5.1

#2 - 12/08/2015 09:46 AM - Jing Tao

- Assignee changed from ben leinfelder to Jing Tao

#3 - 12/09/2015 02:53 PM - Jing Tao

- Status changed from New to Closed

Use the exscapeXml method in the apache common lang library to escape those xml entities in the values.
